View Issue Details

IDProjectCategoryView StatusLast Update
0005799VALENTINA SERVERSQLpublic2012-05-08 11:44
ReporterThorsten HohageAssigned ToIvan Smahin 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.9 
Target VersionFixed in Version5.0 
Summary0005799: stream eof reached
Descriptionon every try to execute

select parent_serial,
group_concat(concat(item_type, ': ', information) separator ';')
from oc_contact_communication
group by parent_serial

on any of the DBs with the same schema.

Tried reindex, clone, rebuild from dump, ... everytime the above statement result in stream eof reached
TagsNo tags attached.

Relationships

has duplicate 0005747 closed VCOMPONENT-VKERNEL stream eof reached with group_concat() on concatenated varchar fields 

Activities

Thorsten Hohage

Thorsten Hohage

2012-05-07 20:40

developer   ~0006299

Btw. doing it in TWO steps

insert into transfer_contact_com_1 (parent_serial, information) (
select parent_serial,
concat(item_type, ': ', information)
from oc_contact_communication
)

select parent_serial, group_concat(information separator '\n') from transfer_contact_com_1 group by parent_serial

works reliable

Issue History

Date Modified Username Field Change
2012-05-07 20:33 Thorsten Hohage New Issue
2012-05-07 20:40 Thorsten Hohage Note Added: 0006299
2012-05-08 11:44 Ivan Smahin Status new => resolved
2012-05-08 11:44 Ivan Smahin Fixed in Version => 5.0
2012-05-08 11:44 Ivan Smahin Resolution open => fixed
2012-05-08 11:44 Ivan Smahin Assigned To => Ivan Smahin
2012-05-14 10:17 Ivan Smahin Relationship added has duplicate 0005747